diff -ruN freeciv.orig/Makefile freeciv/Makefile
--- freeciv.orig/Makefile	Sat May 19 21:05:59 2007
+++ freeciv/Makefile	Sun May 27 03:39:15 2007
@@ -7,16 +7,17 @@
 
 PORTNAME=	freeciv
 PORTVERSION=	2.0.8
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	games
-MASTER_SITES=	ftp://ftp.freeciv.org/pub/freeciv/stable/ SF
+MASTER_SITES=	ftp://ftp.freeciv.org/pub/freeciv/stable/ SF \
+		ftp://ftp.freeciv.org/freeciv/contrib/audio/soundsets/:freeciv_sounds
+DISTFILES+=	${DISTNAME}.tar.bz2 stdsounds3.tar.gz:freeciv_sounds
 
 MAINTAINER=	infofarmer@FreeBSD.org
 COMMENT=	Free turn-based multiplayer strategy
 
 USE_GCC=	3.4+
 USE_GETTEXT=	yes
-USE_BZIP2=	yes
 USE_PYTHON=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
@@ -29,12 +30,20 @@
 		png.5:${PORTSDIR}/graphics/png
 USE_XPM=	yes
 WANT_GNOME=	yes
-CONFIGURE_ENV+=	SDL_CONFIG="${SDL_CONFIG}"
+WANT_SDL=	mixer
 PLIST_SUB+=	X11=""
 .endif
 
 .include <bsd.port.pre.mk>
 
+.if !defined(WITHOUT_X11) && (defined(WITH_SDL) || ${HAVE_SDL:Mmixer}!="")
+USE_SDL=	mixer
+SOUND=		yes
+PLIST_SUB+=	SOUND=""
+.else
+PLIST_SUB+=	SOUND="@comment "
+.endif
+
 .if 	!defined(WITH_GTK) && !defined(WITH_GTK12) && !defined(WITH_GTK2) && \
 	!defined(WITHOUT_GNOME) && !defined(WITHOUT_X11)
 AUTO_DEPENDS=	yes
@@ -84,8 +93,16 @@
 .endif
 
 post-patch:
-	@${REINPLACE_CMD} -Ee '${CFG_PATCH}' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -Ee '${CFG_PATCH}' -e 's/-lSDL_mixer  /${PTHREAD_LIBS} -lSDL_mixer /g' ${WRKSRC}/configure
 	@${FIND} ${WRKSRC} -name Makefile.in | \
 		${XARGS} ${REINPLACE_CMD} -e 's/@program_transform_name@//'
+
+post-install:
+.ifdef SOUND
+	${INSTALL_DATA} ${WRKDIR}/data/stdsounds.soundspec ${DATADIR}
+	${MKDIR} ${DATADIR}/stdsounds
+	@cd ${WRKDIR}/data/stdsounds && \
+		${FIND} * -type f -exec ${INSTALL_DATA} "{}" "${DATADIR}/stdsounds/{}" \;
+.endif
 
 .include <bsd.port.post.mk>
diff -ruN freeciv.orig/distinfo freeciv/distinfo
--- freeciv.orig/distinfo	Sat Apr 29 22:40:45 2006
+++ freeciv/distinfo	Sun May 27 03:36:06 2007
@@ -1,3 +1,6 @@
 MD5 (freeciv-2.0.8.tar.bz2) = 9ebd5899c2c78362e0e2c68791673a88
 SHA256 (freeciv-2.0.8.tar.bz2) = 85b396c86f977b85f03fa1309733d21f7cc953e005ff1475f9981b77fa9f28f3
 SIZE (freeciv-2.0.8.tar.bz2) = 8535513
+MD5 (stdsounds3.tar.gz) = 77215914712f2f351092918f5e41e39e
+SHA256 (stdsounds3.tar.gz) = a3cc2be93c006c3a9492349aa4552bf059e45efc94135f09241877c221ae1bfa
+SIZE (stdsounds3.tar.gz) = 118278
diff -ruN freeciv.orig/pkg-plist freeciv/pkg-plist
--- freeciv.orig/pkg-plist	Sat May 19 21:06:00 2007
+++ freeciv/pkg-plist	Sun May 27 03:36:06 2007
@@ -297,6 +297,23 @@
 %%X11%%%%DATADIR%%/isophex/terrain2.spec
 %%X11%%%%DATADIR%%/isophex/tiles.png
 %%X11%%%%DATADIR%%/isophex/tiles.spec
+%%SOUND%%%%DATADIR%%/stdsounds.soundspec
+%%SOUND%%%%DATADIR%%/stdsounds/LrgCan.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/LrgExpl.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/MedCan.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/MgBar1.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/MgBar2.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/MgHeavy.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/Mortar.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/SmlExpl.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/Splash.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/THover.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/Tread.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/foot3.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/inh2o.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/metbrk.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/wall01.ogg
+%%SOUND%%%%DATADIR%%/stdsounds/woodbrk.ogg
 share/locale/da/LC_MESSAGES/freeciv.mo
 share/locale/ca/LC_MESSAGES/freeciv.mo
 share/locale/cs/LC_MESSAGES/freeciv.mo
@@ -323,6 +340,7 @@
 %%X11%%share/applications/freeciv.desktop
 @dirrmtry share/locale/he_IL/LC_MESSAGES
 @dirrmtry share/locale/he_IL
+%%SOUND%%@dirrm %%DATADIR%%/stdsounds
 %%X11%%@dirrm %%DATADIR%%/trident
 @dirrm %%DATADIR%%/scenario
 @dirrm %%DATADIR%%/nation
